﻿using System.Collections.Generic;
using System.Runtime.Serialization;

namespace TemporalSourceCover
{
    public sealed class Solution : HashSet<TemporalGraphVertex>
    {
        public Solution() : base() { }

        public Solution(IEnumerable<TemporalGraphVertex> collection) : base(collection)
        {
        }

        public Solution(IEqualityComparer<TemporalGraphVertex>? comparer) : base(comparer)
        {
        }

        public Solution(int capacity) : base(capacity)
        {
        }

        public Solution(IEnumerable<TemporalGraphVertex> collection, IEqualityComparer<TemporalGraphVertex>? comparer) : base(collection, comparer)
        {
        }

        public Solution(int capacity, IEqualityComparer<TemporalGraphVertex>? comparer) : base(capacity, comparer)
        {
        }

        public Solution(SerializationInfo info, StreamingContext context) : base(info, context)
        {
        }
    }
}
